# 📄 Java Dosya İşlemleri ve Hata Yönetimi Örneği

## 📌 Proje Adı
Java Dosya İşlemleri ve Hata Yönetimi Örneği

## 🧠 Açıklama
Bu proje, Java programlama dilinde dosya oluşturma, dosyaya yazma, dosyadan okuma ve dosya silme işlemlerini örnekleyen temel bir uygulamadır. Ayrıca, bu işlemler sırasında karşılaşılabilecek istisnalar (exceptions) da ele alınmaktadır. Kod, `try-catch` bloklarıyla hata yönetimini örnekler ve dosya işlemleri sırasında nasıl güvenli kod yazılabileceğini gösterir.

## 🚀 Özellikler
- Dosya oluşturma (`File.createNewFile()`)
- Dosyaya yazma (`FileWriter`)
- Dosyadan okuma (`Scanner`)
- Dosya silme (`File.delete()`)
- İstisna (exception) yönetimi

## 📂 Kullanım
Projeyi çalıştırmak için herhangi bir Java IDE'si (Eclipse, IntelliJ IDEA, VS Code) ya da terminal kullanılabilir.

### Terminal üzerinden çalıştırmak için:
```bash
javac Main.java
java java_file_open_exceptions.Main
```

## ⚠️ Gereksinimler
- Java JDK 8 veya üzeri

## 📝 Lisans
Bu proje [GNU General Public License v3.0](https://www.gnu.org/licenses/gpl-3.0.html) ile lisanslanmıştır.

---

# 📄 Java File Operations and Exception Handling Example

## 📌 Project Name
Java File Operations and Exception Handling Example

## 🧠 Description
This project is a basic Java application demonstrating file operations such as creating a file, writing to a file, reading from a file, and deleting the file. It also handles exceptions that might occur during these operations. The code illustrates how to write safe and robust file-handling routines using `try-catch` blocks.

## 🚀 Features
- File creation (`File.createNewFile()`)
- Writing to file (`FileWriter`)
- Reading from file (`Scanner`)
- Deleting file (`File.delete()`)
- Exception handling

## 📂 Usage
You can run this project using any Java IDE (Eclipse, IntelliJ IDEA, VS Code) or via terminal.

### To run via terminal:
```bash
javac Main.java
java java_file_open_exceptions.Main
```

## ⚠️ Requirements
- Java JDK 8 or above

## 📝 License
This project is licensed under the [GNU General Public License v3.0](https://www.gnu.org/licenses/gpl-3.0.html).